Botan 1.10.17

Namespaces | Functions
fpe_fe1.cpp File Reference
`#include <botan/fpe_fe1.h>`
`#include <botan/numthry.h>`
`#include <botan/hmac.h>`
`#include <botan/sha2_32.h>`
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::FPE

## Functions
BigInt | Botan::FPE::fe1_decrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const MemoryRegion< byte > &tweak)
BigInt | Botan::FPE::fe1_encrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const MemoryRegion< byte > &tweak)